<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

$cols	= $this->app->config->get('template.arrangements_cols', 1);
?>
<div class="bookzo bookzo-page bookzo-arrangements-page">
	
	<h1>
		<?php echo BText::_('TITLE_ARRANGEMENTS'); ?>
	</h1>
		
	<div class="bz-grid bz-grid-width-1-1 bz-grid-width-small-1-<?php echo ceil($cols/2); ?> bz-grid-width-medium-1-<?php echo $cols; ?> bz-margin-top" 
		data-bz-grid-margin data-bz-grid-match="{target:'> div > .bz-panel > div'}">

		<?php  $i = 0; foreach ( $arrangements as $arrangement ) : $i++; ?>
			<div class="th-arrangement th-arrangement-<?php echo $arrangement->get('id'); ?> th-arrangement-teaser" data-id="<?php echo $arrangement->get('id'); ?>">
				<?php echo $this->partial('arrangement.teaser', array('arrangement' => $arrangement)); ?>
			</div>
		<?php endforeach;  ?>
		
	</div>
	
</div>