<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

$cols	= $params->get('cols', 3);
?>
<div class="th-widget th-widget-arrangements">
		
	<div class="bz-grid bz-grid-width-1-1 bz-grid-width-small-1-<?php echo ceil($cols/2); ?> bz-grid-width-medium-1-<?php echo $cols; ?> bz-margin-top" 
		data-bz-grid-margin data-bz-grid-match="{target:'> div > .bz-panel > div'}">

		<?php  $i = 0; foreach ( $arrangements as $arrangement ) : $i++; ?>
			<div class="th-arrangement th-arrangement-<?php echo $arrangement->get('id'); ?> th-arrangement-teaser th-widget-teaser" data-id="<?php echo $arrangement->get('id'); ?>">
				<?php echo $renderer->render('arrangement', compact('arrangement','params')); ?>
			</div>
		<?php endforeach;  ?>
		
	</div>
	
</div>