<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

$max			= $params->get('months', 2);
$cols			= $params->get('pricecalculation', 0) && $params->get('pricecalculationaside', 0);
$showtype		= $params->get('type', 'none') == 'type';
$showlegenda	= $params->get('legenda', 0);
?>
<div class="bz-calendar" <?php echo $calendar->getDataString(); ?>>
	<?php if ( $params->get('showtitle', 1) ) : ?>
	<h2>
		<?php echo $params->get('pricecalculation', 0) || $params->get('showprices', 0) ? BText::_('WIDGET_CALENDAR_TITLE_PRICES') : BText::_('WIDGET_CALENDAR_TITLE'); ?><?php if ( $arrangement ) : ?>: <?php echo $arrangement->get('name'); ?><?php endif; ?>	
	</h2>
	<?php endif; ?>
	<div class="bz-grid bz-margin-large-top" data-bz-grid-margin>
		<div class="bz-width-1-1 <?php echo $cols ? 'bz-width-medium-' . $this->app->grid->calculate( $params->get('pricecalculationwidth', '4-10') ) : ''; ?>">
			<?php if (  $showtype || $showlegenda == 1 ) : ?>
				<div class="bz-grid bz-margin-bottom" data-bz-grid-margin>
					<?php if ( $showtype ) : ?>
						<div class="th-calendar-option bz-width-1-1 bz-width-medium-<?php $cols && $showlegenda == 1 ? '1-1' : '1-2'; ?>">
							<?php echo $typelist; ?>
						</div>
					<?php endif; ?>
					<?php if ( $showlegenda == 1  ) : ?>
						<div class="th-legenda bz-width-1-1 bz-width-medium-<?php $cols && $showtype ? '1-1' : '1-2'; ?> bz-text-right">
							<span class="booked"><?php echo BText::_('WIDGET_CALENDAR_LEGENDA_BOOKED'); ?></span>
							<span class="free"><?php echo BText::_('WIDGET_CALENDAR_LEGENDA_FREE'); ?></span>
							<span class="bookable"><?php echo BText::_('WIDGET_CALENDAR_LEGENDA_BOOKABLE'); ?></span>
							<?php if ( $params->get('type') == 'both' ) : ?>
								<span class="departure"><?php echo BText::_('WIDGET_CALENDAR_LEGENDA_DEPARTURES'); ?></span>
							<?php endif; ?>
						</div>
					<?php endif; ?>
				</div>
			<?php endif; ?>
			<div class="th-calendar-box bz-box bz-position-relative">
				<?php echo $calendars; ?>
			</div>
			<?php if ( $params->get('type', 'none') == 'both' && $params->get('reset', 0)) : ?>
				<div class="bz-margin bz-text-center bz-calendar-reset">
					<a data-calendar-reset class="bz-button bz-button-small"><?php echo BText::_('WIDGET_CALENDAR_BTN_RESET'); ?></a>
				</div>
			<?php endif; ?>
			<?php if ( $showlegenda == 2  ) : ?>
				<div class="bz-grid bz-margin-top">
					<div class="th-legenda bz-width-1-1 bz-text-right">
						<span class="booked"><?php echo BText::_('WIDGET_CALENDAR_LEGENDA_BOOKED'); ?></span>
						<span class="free"><?php echo BText::_('WIDGET_CALENDAR_LEGENDA_FREE'); ?></span>
						<span class="bookable"><?php echo BText::_('WIDGET_CALENDAR_LEGENDA_BOOKABLE'); ?></span>
						<?php if ( $params->get('type') == 'both' ) : ?>
							<span class="departure"><?php echo BText::_('WIDGET_CALENDAR_LEGENDA_DEPARTURES'); ?></span>
						<?php endif; ?>
					</div>
				</div>
			<?php endif; ?>
		</div>
		<?php if ( $params->get('pricecalculation', 0) ) : ?>
			<div class="bz-width-1-1 <?php echo $cols ? 'bz-width-medium-' . $params->get('pricecalculationwidth', '4-10') : ''; ?>">
				<div id="bz-calendar-directbooking">
					<?php echo $pricecalculation; ?>
				</div>
			</div>
		<?php endif; ?>
	</div>
</div>