<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

## NOTE - We have to reconsider this in total
if ( count($dates) ) : 
	$this->app->adapter->addScript('assets:js/slideshow.js');
	$this->app->adapter->addScript('assets:js/slideshow-fx.js');
endif;
?>
<div class="th-pricelist">
	<div class="bz-slidenav-position bz-slidenav-position-show" data-bz-slideshow="{ <?php echo $active ? 'start: '.$active.',' : ''; ?>animation: 'none'}" data-bz-check-display>
		<ul class="bz-slideshow">
			<?php foreach ( $dates as $month => $arrivals ) :  ?>
				<li>
					
					<h4 class="th-pricelist-month"><?php echo $this->app->date->create($month)->format('F Y'); ?></h4>
					
					<table class="th-pricelist-table bz-table bz-table-hover">
						<tr>
							<th><?php echo BText::_('ARRIVAL'); ?></th>
							<?php foreach ( $cols as $name => $col ) : ?>
								<th><?php echo $name; ?></th>
							<?php endforeach; ?>
						</tr>
						<?php foreach ( $arrivals as $arrival ) : ?>
							<tr>
								<td class="date">
									<?php echo $this->app->date->create($arrival)->format('D j M'); ?>
								</td>
								<?php foreach ( $cols as $col ) : ?>
										<?php if ( isset($col->arrivals[$arrival]) ) : $price = $col->arrivals[$arrival]; ?>
											<td data-pricelist-stamp="<?php echo $price->get('arrivalstamp') .'-'. $price->get('departurestamp'); ?>">
												<?php echo $this->app->price->render($col->arrivals[$arrival], 'short', $params); ?>
											</td>
										<?php else : ?>
											<td>&nbsp;</td>
										<?php endif; ?>
								<?php endforeach; ?>
							</tr>
						<?php endforeach; ?>
					</table>
				
				</li>
			<?php endforeach; ?>
		</ul>
		<?php if ( count($dates) > 1 ) : ?>
		<a class="bz-slidenav bz-slidenav-previous" href="" data-bz-slideshow-item="previous"><?php echo BText::_('PREVIOUS_MONTH'); ?></a>
		<a class="bz-slidenav bz-slidenav-next" href="" data-bz-slideshow-item="next"><?php echo BText::_('NEXT_MONTH'); ?></a>
		<div class="bz-hidden">
			<?php $i = 0; foreach ( $dates as $month => $prices ) :  ?>
				<a data-bz-slideshow-item="<?php echo $i; ?>" data-pricelist-month="<?php echo $month; ?>"></a>
			<?php $i++; endforeach; ?>
		</div>
		<?php endif; ?>
	</div>
</div>