<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;
?>
<div class="bookzo bookzo-config">
	<div class="bz-form">
    	<form>
		<div class="bz-clearfix">
			<div class="bz-align-right">
		    	<a class="bz-button bz-button-primary" data-bz-config>Save</a>
				<a class="bz-button bz-button-secondary" data-bz-cache>Cache opschonen</a>
			</div>
		</div>
		<div class="th-message">
		</div>
       	<ul class="bz-tab" data-bz-tab="{connect:'#config'}">
    	<?php $i = 0; foreach ( $tabs as $tab ) : $i++; ?>
			<li class="<?php echo $i == 1 ? 'bz-active' : ''; ?>"><a><?php echo BText::_($tab->label); ?></a></li>
        <?php endforeach; ?>
        </ul>
        <ul id="config" class="bz-switcher">
    	<?php foreach ( $tabs as $tab ) : ?>
        
        	<li>
				<?php if ( count($tab->fieldsets) > 1 ) : 
						$this->app->adapter->addScript('assets:js/accordion.js');
				?>
				
					<div class="bz-accordion" data-bz-accordion>
					
					<?php foreach ( $tab->fieldsets as $fieldset ) : ?>
					
						<?php if ( isset($fieldset->label) && !empty($fieldset->label) ) : ?>
							 <h3 class="bz-accordion-title"><?php echo BText::_($fieldset->label); ?></h3>
						<?php endif; ?>
						
						<div class="bz-accordion-content">
						<?php foreach ( $fieldset->fields as $field ) : ?>
							
							<?php echo $field->renderField(array('class' => 'field-' .$field->getAttribute('name') . ' field-type-'. $field->getAttribute('type'))); ?>
								   
						<?php endforeach; ?>
						</div>						
						
					<?php endforeach;  ?>
				
					</div>
				
				<?php else : ?>
					<?php foreach ( $tab->fieldsets as $fieldset ) : ?>
					
						<?php if ( isset($fieldset->label) && !empty($fieldset->label) ) : ?>
							 <h3 class="bz-accordion-title"><?php echo BText::_($fieldset->label); ?></h3>
						<?php endif; ?>
						
						<div class="bz-accordion-content">
						
							<?php foreach ( $fieldset->fields as $field ) : ?>
								
								<?php echo $field->renderField(array('class' => 'field-' .$field->getAttribute('name') . ' field-type-'. $field->getAttribute('type'))); ?>
									   
							<?php endforeach; ?>
							
						</div>
						
					<?php endforeach;  ?>
				<?php endif; ?>
           	</li>
       	<?php endforeach; ?>
        </ul>
        </form>
    </div>
</div>