<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

$thumbwidth = $this->app->config->get('template.arrangement_full_thumbwidth', '1-3');
$descwidth 	= $this->app->grid->calculate( $this->app->config->get('template.arrangement_full_thumbwidth', '1-3') );
?>
<div class="th-arrangement bz-panel bz-panel-box bz-panel-box-primary">
	<div class="bz-grid" data-bz-grid-margin>
		<?php if ( $arrangement->hasImages() ) : ?>
			<div class="bz-width-1-1 bz-width-medium-<?php echo $thumbwidth; ?>">
			<?php if ( $this->app->config->get('template.arrangement_full_thumbgallery', 0) ) : ?>
				<div class="bz-margin-right">
					<?php echo $arrangement->widget('gallery', 
													array(
														'layout' => 'slideset',
														'images' => 'medium',
														'thumbnails' => $this->app->config->get('template.arrangement_full_thumbgallery_thumbs', 1),
														'lightbox' => $this->app->config->get('template.arrangement_full_thumbgallery_lightbox', 0)
														)
												); 
					?>
				</div>
			<?php else : ?>
				<div class="bz-thumb bz-stretch">
					<?php echo $arrangement->image('medium', true); ?>
				</div>
			<?php endif; ?>
			</div>
		<?php endif; ?>
		<div class="bz-inner bz-relative bz-width-1-1 bz-width-medium-<?php echo $arrangement->hasImages() ? $descwidth : '1-1'; ?>">
			<p class="th-description description">
				<?php echo nl2br($arrangement->get('description')); ?>
			</p>
		</div>
	</div>
</div>