<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die;

$activemonths = array($activemonth);
if ( $params->get('months', 2) ) : 
	$activemonths[] = $this->app->date->create( $activemonth )->add(1, 'm')->format('Y-m-01');
endif;
?>
<div class="bz-grid bz-grid-width-1-1 bz-grid-width-medium-1-<?php echo $params->get('months', 2); ?>" data-bz-grid-margin>
	<?php $i = 0; foreach ( $months as $month ) : $i++; ?>
		<div data-month="<?php echo $month->month; ?>" data-index="<?php echo $i; ?>" <?php echo !in_array($month->month, $activemonths) ? 'class="bz-hidden"' : ''; ?>>
			<?php echo $month->html; ?>
		</div>
	<?php endforeach; ?>
</div>
<a class="bz-calendar-nav bz-calendar-previous" data-previous></a>
<a class="bz-calendar-nav bz-calendar-next" data-next></a>
