<?php
/**
* @package   	Bz
* @author    	Invenda http://www.invenda.nl
* @copyright 	Copyright (C) Invenda.nl
* @license   	http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

defined('_BOOKZO') or die; 
?>
<div class="bz-price-mini-calculation">
	<div class="bz-minical-row bz-grid bz-grid-small">
		<div class="bz-width-2-3"><?php echo BText::_('RENTAL_LABEL'); ?></div>
		<div class="bz-width-1-3 bz-text-right">
			<?php echo $this->app->price->format($price->get('pricebeforediscount'), $params, 'data-field="price"'); ?>
		</div>
	</div>
	<div class="bz-minical-row bz-grid bz-grid-small parentfield <?php echo $price->get('discount') ? '' : 'bz-hidden'; ?>">
		<div class="bz-width-2-3"><?php echo BText::_('DISCOUNT_LABEL'); ?></div>
		<div class="bz-width-1-3 bz-text-right">
			- <?php echo $this->app->price->format($price->get('discount'), $params, 'data-field="discount" data-check'); ?>
		</div>
	</div>
	<div class="bz-minical-row bz-grid bz-grid-small parentfield <?php echo $price->get('extracosts') ? '' : 'bz-hidden'; ?>">
		<div class="bz-width-2-3"><?php echo BText::_('COSTS_LABEL'); ?></div>
		<div class="bz-width-1-3 bz-text-right">
			<?php echo $this->app->price->format($price->get('extracosts'), $params, 'data-field="costs" data-check'); ?>
		</div>
	</div>
	<div class="line"></div>
	<div class="bz-minical-row bz-minical-total bz-grid bz-grid-small">
		<div class="bz-width-2-3"><?php echo BText::_('TOTAL'); ?></div>
		<div class="bz-width-1-3 bz-text-right">
			<?php echo $this->app->price->format($price->get('total'), $params, 'data-field="total"'); ?>
		</div>
	</div>
</div>